Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1420090 (marble-subsurface) - Review Request: marble-subsurface - Marble Subsurface branch
Summary: Review Request: marble-subsurface - Marble Subsurface branch
Keywords:
Status: CLOSED RAWHIDE
Alias: marble-subsurface
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Raphael Groner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: qt-reviews 1271883
TreeView+ depends on / blocked
 
Reported: 2017-02-07 18:40 UTC by Rex Dieter
Modified: 2017-02-21 15:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-21 15:52:56 UTC
projects.rg: fedora-review+


Attachments (Terms of Use)

Description Rex Dieter 2017-02-07 18:40:11 UTC
Spec URL: https://rdieter.fedorapeople.org/rpms/subsurface/marble-subsurface.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/subsurface/marble-subsurface-4.6.0-1.fc25.src.rpm
Description: A modified version of marble for Subsurface.
Fedora Account System Username: rdieter

Comment 2 Raphael Groner 2017-02-07 20:04:08 UTC
Taken. :)

Could you look into bug #1402590 for a review swap?

Comment 3 Rex Dieter 2017-02-12 14:15:11 UTC
ping, any news?

Comment 4 Raphael Groner 2017-02-16 20:03:07 UTC
APPROVED

Please fix the directory ownership while importing (see below).
Hint: Version 4.6.1 is available.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Cannot run licensecheck: Command 'licensecheck -r /var/lib/mock
     /fedora-rawhide-x86_64/root/builddir/build/BUILD/marble-subsurface-
     branch-4.6.0' returned non-zero exit status 25
=> OK. Obviously too many files let licensecheck abort. I failed to
   manually find anything against LGPLv2+ generally.

[x]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/marble/cmake
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/marble,
     /usr/share/marble/cmake
=> Add this directory to %files .

[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/include/marble(marble-
     widget-qt5-devel, marble-widget-devel)
=> OK, see Conflicts.

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
=> Conflicts are reasonable due to modifications done by upstream.

[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     libssrfmarblewidget , libssrfmarblewidget-devel , marble-subsurface-
     debuginfo
=> OK. There are subpackages with different naming.

[?]: Package functions as described.
[!]: Latest version is packaged.
=> Version 4.6.1 is available.

[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
=> Tests are explicitly disabled by cmake options.

[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libssrfmarblewidget-4.6.0-1.fc26.x86_64.rpm
          libssrfmarblewidget-devel-4.6.0-1.fc26.x86_64.rpm
          marble-subsurface-debuginfo-4.6.0-1.fc26.x86_64.rpm
          marble-subsurface-4.6.0-1.fc26.src.rpm
libssrfmarblewidget.x86_64: W: spelling-error Summary(en_US) libmarblewidget 
libssrfmarblewidget.x86_64: W: spelling-error %description -l en_US libmarblewidget 
libssrfmarblewidget-devel.x86_64: W: only-non-binary-in-usr-lib
libssrfmarblewidget-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (debuginfo)
-------------------
Checking: marble-subsurface-debuginfo-4.6.0-1.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
libssrfmarblewidget.x86_64: W: spelling-error Summary(en_US) libmarblewidget 
libssrfmarblewidget.x86_64: W: spelling-error %description -l en_US libmarblewidget 
libssrfmarblewidget.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libssrfmarblewidget.so.0.21.3 /lib64/libQt5PrintSupport.so.5
libssrfmarblewidget-devel.x86_64: W: only-non-binary-in-usr-lib
libssrfmarblewidget-devel.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 5 warnings.



Requires
--------
marble-subsurface-debuginfo (rpmlib, GLIBC filtered):

libssrfmarblewidget (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.7)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Network.so.5(Qt_5)(64bit)
    libQt5PrintSupport.so.5()(64bit)
    libQt5Qml.so.5()(64bit)
    libQt5Qml.so.5(Qt_5)(64bit)
    libQt5Quick.so.5()(64bit)
    libQt5Quick.so.5(Qt_5)(64bit)
    libQt5Script.so.5()(64bit)
    libQt5Script.so.5(Qt_5)(64bit)
    libQt5Svg.so.5()(64bit)
    libQt5Svg.so.5(Qt_5)(64bit)
    libQt5WebKit.so.5()(64bit)
    libQt5WebKitWidgets.so.5()(64bit)
    libQt5WebKitWidgets.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libQt5Xml.so.5()(64bit)
    libQt5Xml.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    marble-widget-data
    rtld(GNU_HASH)

libssrfmarblewidget-devel (rpmlib, GLIBC filtered):
    libssrfmarblewidget(x86-64)
    libssrfmarblewidget.so.21()(64bit)



Provides
--------
marble-subsurface-debuginfo:
    marble-subsurface-debuginfo
    marble-subsurface-debuginfo(x86-64)

libssrfmarblewidget:
    libssrfmarblewidget
    libssrfmarblewidget(x86-64)
    libssrfmarblewidget.so.21()(64bit)

libssrfmarblewidget-devel:
    libssrfmarblewidget-devel
    libssrfmarblewidget-devel(x86-64)



Source checksums
----------------
http://subsurface-divelog.org/downloads/marble-subsurface-branch-4.6.0.tgz :
  CHECKSUM(SHA256) this package     : b4b7f8a6f453cce0683dcb37ecef90d83805a59fb365b5039a49459f93e2323b
  CHECKSUM(SHA256) upstream package : b4b7f8a6f453cce0683dcb37ecef90d83805a59fb365b5039a49459f93e2323b


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1420090
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 5 Rex Dieter 2017-02-20 15:25:00 UTC
pkgdb request submitted (last friday)

Comment 6 Gwyn Ciesla 2017-02-21 13:39:48 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/marble-subsurface

Comment 7 Rex Dieter 2017-02-21 15:52:56 UTC
imported, thanks!


Note You need to log in before you can comment on or make changes to this bug.